### Class

# Adw SpinnerPaintable

since: 1.6

#### Description [src]

    final class Adw.SpinnerPaintable : GObject.Object
      implements Gdk.Paintable, Gtk.SymbolicPaintable {
      /* No available fields */
    }

A paintable showing a loading spinner.

`AdwSpinnerPaintable` size varies depending on the available space, but is capped at 64×64 pixels.

To be able to animate, `AdwSpinnerPaintable` needs a widget. It will be animated according to that widget’s frame clock, and only if that widget is mapped. Ideally it should be the same widget the paintable is displayed in, but that’s not a requirement.

Most applications should be using `AdwSpinner` instead. `AdwSpinnerPaintable` is provided for the cases where using a widget is impractical or impossible, such as `AdwStatusPage:paintable`:

    <object class="AdwStatusPage" id="status_page">
      <property name="paintable">
        <object class="AdwSpinnerPaintable">
          <property name="widget">status_page</property>
        </object>
      </property>
      <!-- ... -->
    </object>

Available since: 1.6

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GdkPaintable
- GtkSymbolicPaintable

#### Constructors

###### adw_spinner_paintable_new

Creates a new `AdwSpinnerPaintable` for `widget`.

since: 1.6

#### Instance methods

###### adw_spinner_paintable_get_widget

Gets the widget used for frame clock.

since: 1.6

###### adw_spinner_paintable_set_widget

Sets the widget used for frame clock.

since: 1.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GdkPaintable (9)

###### gdk_paintable_compute_concrete_size

Compute a concrete size for the `GdkPaintable`.

###### gdk_paintable_get_current_image

Gets an immutable paintable for the current contents displayed by `paintable`.

###### gdk_paintable_get_flags

Get flags for the paintable.

###### gdk_paintable_get_intrinsic_aspect_ratio

Gets the preferred aspect ratio the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_height

Gets the preferred height the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_width

Gets the preferred width the `paintable` would like to be displayed at.

###### gdk_paintable_invalidate_contents

Called by implementations of `GdkPaintable` to invalidate their contents.

###### gdk_paintable_invalidate_size

Called by implementations of `GdkPaintable` to invalidate their size.

###### gdk_paintable_snapshot

Snapshots the given paintable with the given `width` and `height`.

##### Methods inherited from GtkSymbolicPaintable (1)

###### gtk_symbolic_paintable_snapshot_symbolic

Snapshots the paintable with the given colors.

#### Properties

###### Adw.SpinnerPaintable:widget

The widget the spinner uses for frame clock.

since: 1.6

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GdkPaintable (2)

###### GdkPaintable::invalidate-contents

Emitted when the contents of the `paintable` change.

###### GdkPaintable::invalidate-size

Emitted when the intrinsic size of the `paintable` changes.

#### Class structure

    struct AdwSpinnerPaintableClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.